Name:          python-parso
Version:       0.8.3
Release:       3mamba
Summary:       A Python Parser
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://github.com/davidhalter/parso
Source:        https://pypi.debian.net/parso/parso-%{version}.tar.gz
License:       MIT
## AUTOBUILDREQ-BEGIN
BuildRequires: libpython311-devel
## AUTOBUILDREQ-END
BuildRequires: python3-devel >= 3.11.5-3mamba

%description
%{summary}.

%if 0%{?with_pyver}
%pyver_package
%endif

%prep
%setup -q -n parso-%{version}

%build
CFLAGS="%{optflags}" %{__python} setup.py build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%{__python} setup.py install \
   -O1 --skip-build \
   --root="%{buildroot}" \
   --install-headers=%{python_inc} \
   --install-lib=%{python_sitearch} \
   --record=%{name}.filelist

sed -i "\,\.egg-info/,d;s,.*/man/.*,&.gz," %{name}.filelist

%files %{?pyappend} -f %{name}.filelist
%defattr(-,root,root)
%dir %{python_sitearch}/parso-%{version}-py*.egg-info
%{python_sitearch}/parso-%{version}-py*.egg-info/*

%changelog
* Tue Sep 26 2023 Automatic Build System <autodist@mambasoft.it> 0.8.3-3mamba
- rebuilt by autoport with build requirements: python3-devel>=3.11.5-3mamba

* Wed Apr 05 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 0.8.3-2mamba
- rebuilt with python 3.10

* Wed Dec 01 2021 Automatic Build System <autodist@mambasoft.it> 0.8.3-1mamba
- automatic version update by autodist

* Tue Apr 20 2021 Automatic Build System <autodist@mambasoft.it> 0.8.2-1mamba
- automatic version update by autodist

* Mon Apr 19 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 0.7.1-1mamba
- package created using the webbuild interface
